#! /usr/bin/env python

import roslib; roslib.load_manifest("pr2_dremel_server")
import actionlib
import rospy
import copy

from std_msgs.msg import *
from math import *

from simple_robot_control import *
import numpy



if __name__ == '__main__':
    rospy.init_node('initialize_pose')
    rospy.sleep(1.0)
    
    r_arm = Arm("r")
    gripr = Gripper('r')
    intial_r_orientation = (0,0,0,1)
    intial_r_position = ( 0.55, 0, -0.23)
    r_arm.goToPose(intial_r_position, intial_r_orientation, "torso_lift_link",3.0, wait = True, \
                        seed_angles = (-0.135, -0.183, -3.202, -1.598, 3.161, -1.318, -3.053))
    gripr.openGripper()
    print 'Insert Dremel and hit enter'
    a = raw_input()
    gripr.closeGripper()